export const SETTINGS = {
  NETWORK_CONNECTION_CHANGE: 'NETWORK_CONNECTION_CHANGE',
  SET_LANGUAGE: 'SET_LANGUAGE',
  SET_BIOMETRIC_TYPE: 'SET_BIOMETRIC_TYPE',
  TOGGLE_CUSTOM_TOAST: 'TOGGLE_CUSTOM_TOAST',
  TOGGLE_QUICK_LOG_IN: 'TOGGLE_QUICK_LOG_IN',
  TOGGLE_ENABLE_PUSH_NOTIFICATIONS: 'TOGGLE_ENABLE_PUSH_NOTIFICATIONS',
};

export const ERRORS = {
  SET_ERROR: 'SET_ERROR',
  DELETE_ERRORS: 'DELETE_ERRORS',
};

export const AUTH = {
  LOG_OUT: 'LOG_OUT',
  LOG_OUT_SUCCESS: 'LOG_OUT_SUCCESS',
  LOG_OUT_FAILURE: 'LOG_OUT_FAILURE',

  SING_UP: 'SING_UP',
  SING_UP_SUCCESS: 'SING_UP_SUCCESS',
  SING_UP_FAILURE: 'SING_UP_FAILURE',

  LOG_IN: 'LOG_IN',
  LOG_IN_SUCCESS: 'LOG_IN_SUCCESS',
  LOG_IN_FAILURE: 'LOG_IN_FAILURE',

  SOCIAL_LOG_IN: 'SOCIAL_LOG_IN',
  SOCIAL_LOG_IN_SUCCESS: 'SOCIAL_LOG_IN_SUCCESS',
  SOCIAL_LOG_IN_FAILURE: 'SOCIAL_LOG_IN_FAILURE',

  GET_CONFIRMATION_CODE: 'GET_CONFIRMATION_CODE',
  GET_CONFIRMATION_CODE_SUCCESS: 'GET_CONFIRMATION_CODE_SUCCESS',
  GET_CONFIRMATION_CODE_FAILURE: 'GET_CONFIRMATION_CODE_FAILURE',

  VERIFY_CONFIRMATION_CODE: 'VERIFY_CONFIRMATION_CODE',
  VERIFY_CONFIRMATION_CODE_SUCCESS: 'VERIFY_CONFIRMATION_CODE_SUCCESS',
  VERIFY_CONFIRMATION_CODE_FAILURE: 'VERIFY_CONFIRMATION_CODE_FAILURE',

  RESET_PASSWORD: 'RESET_PASSWORD',
  RESET_PASSWORD_SUCCESS: 'RESET_PASSWORD_SUCCESS',
  RESET_PASSWORD_FAILURE: 'RESET_PASSWORD_FAILURE',

  CHANGE_PASSWORD: 'CHANGE_PASSWORD',
  CHANGE_PASSWORD_SUCCESS: 'CHANGE_PASSWORD_SUCCESS',
  CHANGE_PASSWORD_FAILURE: 'CHANGE_PASSWORD_FAILURE',

  REFRESH_TOKEN: 'REFRESH_TOKEN',
  REFRESH_TOKEN_SUCCESS: 'REFRESH_TOKEN_SUCCESS',
  REFRESH_TOKEN_FAILURE: 'REFRESH_TOKEN_FAILURE',

  SET_FCM_TOKEN: 'SET_FCM_TOKEN',
  SET_FCM_TOKEN_SUCCESS: 'SET_FCM_TOKEN_SUCCESS',
  SET_FCM_TOKEN_FAILURE: 'SET_FCM_TOKEN_FAILURE',

  REMOVE_FCM_TOKEN: 'REMOVE_FCM_TOKEN',
  REMOVE_FCM_TOKEN_SUCCESS: 'REMOVE_FCM_TOKEN_SUCCESS',
  REMOVE_FCM_TOKEN_FAILURE: 'REMOVE_FCM_TOKEN_FAILURE',
};

export const PROFILE = {
  GET_PROFILE: 'GET_PROFILE',
  GET_PROFILE_SUCCESS: 'GET_PROFILE_SUCCESS',
  GET_PROFILE_FAILURE: 'GET_PROFILE_FAILURE',

  UPDATE_PROFILE: 'UPDATE_PROFILE',
  UPDATE_PROFILE_SUCCESS: 'UPDATE_PROFILE_SUCCESS',
  UPDATE_PROFILE_FAILURE: 'UPDATE_PROFILE_FAILURE',

  CHANGE_EMAIL: 'CHANGE_EMAIL',
  CHANGE_EMAIL_SUCCESS: 'CHANGE_EMAIL_SUCCESS',
  CHANGE_EMAIL_FAILURE: 'CHANGE_EMAIL_FAILURE',

  VERIFY_EMAIL: 'VERIFY_EMAIL',
  VERIFY_EMAIL_SUCCESS: 'VERIFY_EMAIL_SUCCESS',
  VERIFY_EMAIL_FAILURE: 'VERIFY_EMAIL_FAILURE',

  CHANGE_LANGUAGE: 'CHANGE_LANGUAGE',
  CHANGE_LANGUAGE_SUCCESS: 'CHANGE_LANGUAGE_SUCCESS',
  CHANGE_LANGUAGE_FAILURE: 'CHANGE_LANGUAGE_FAILURE',

  GET_STATISTICS: 'GET_STATISTICS',
  GET_STATISTICS_SUCCESS: 'GET_STATISTICS_SUCCESS',
  GET_STATISTICS_FAILURE: 'GET_STATISTICS_FAILURE',

  GET_RATING_LIST: 'GET_RATING_LIST',
  GET_RATING_LIST_SUCCESS: 'GET_RATING_LIST_SUCCESS',
  GET_RATING_LIST_FAILURE: 'GET_RATING_LIST_FAILURE',

  GET_USER_PROFILE: 'GET_USER_PROFILE',
  GET_USER_PROFILE_SUCCESS: 'GET_USER_PROFILE_SUCCESS',
  GET_USER_PROFILE_FAILURE: 'GET_USER_PROFILE_FAILURE',

  ADD_QUIZ_TIPS_LIFES: 'ADD_QUIZ_TIPS_LIFES',
  ADD_QUIZ_TIPS_LIFES_SUCCESS: 'ADD_QUIZ_TIPS_LIFES_SUCCESS',
  ADD_QUIZ_TIPS_LIFES_FAILURE: 'ADD_QUIZ_TIPS_LIFES_FAILURE',

  REMOVE_QUIZ_TIPS_LIFES: 'REMOVE_QUIZ_TIPS_LIFES',
  REMOVE_QUIZ_TIPS_LIFES_SUCCESS: 'REMOVE_QUIZ_TIPS_LIFES_SUCCESS',
  REMOVE_QUIZ_TIPS_LIFES_FAILURE: 'REMOVE_QUIZ_TIPS_LIFES_FAILURE',

  ADD_TOURNAMENT_TIPS_LIFES: 'ADD_TOURNAMENT_TIPS_LIFES',
  ADD_TOURNAMENT_TIPS_LIFES_SUCCESS: 'ADD_TOURNAMENT_TIPS_LIFES_SUCCESS',
  ADD_TOURNAMENT_TIPS_LIFES_FAILURE: 'ADD_TOURNAMENT_TIPS_LIFES_FAILURE',

  GET_PAYMENT_HISTORY: 'GET_PAYMENT_HISTORY',
  GET_PAYMENT_HISTORY_SUCCESS: 'GET_PAYMENT_HISTORY_SUCCESS',
  GET_PAYMENT_HISTORY_FAILURE: 'GET_PAYMENT_HISTORY_FAILURE',

  GET_DISBURSEMENT: 'GET_DISBURSEMENT',
  GET_DISBURSEMENT_SUCCESS: 'GET_DISBURSEMENT_SUCCESS',
  GET_DISBURSEMENT_FAILURE: 'GET_DISBURSEMENT_FAILURE',
};

export const GENERAL = {
  GET_PRIVACY_POLICY: 'GET_PRIVACY_POLICY',
  GET_PRIVACY_POLICY_SUCCESS: 'GET_PRIVACY_POLICY_SUCCESS',
  GET_PRIVACY_POLICY_FAILURE: 'GET_PRIVACY_POLICY_FAILURE',

  SEND_FEEDBACK: 'SEND_FEEDBACK',
  SEND_FEEDBACK_SUCCESS: 'SEND_FEEDBACK_SUCCESS',
  SEND_FEEDBACK_FAILURE: 'SEND_FEEDBACK_FAILURE',

  GET_FAQS_LIST: 'GET_FAQS_LIST',
  GET_FAQS_LIST_SUCCESS: 'GET_FAQS_LIST_SUCCESS',
  GET_FAQS_LIST_FAILURE: 'GET_FAQS_LIST_FAILURE',

  GET_FAQS_LIST_TOURNAMENT: 'GET_FAQS_LIST_TOURNAMENT',
  GET_FAQS_LIST_TOURNAMENT_SUCCESS: 'GET_FAQS_LIST_TOURNAMENT_SUCCESS',
  GET_FAQS_LIST_TOURNAMENT_FAILURE: 'GET_FAQS_LIST_TOURNAMENT_FAILURE',

  GET_COUNTRIES_LIST: 'GET_COUNTRIES_LIST',
  GET_COUNTRIES_LIST_SUCCESS: 'GET_COUNTRIES_LIST_SUCCESS',
  GET_COUNTRIES_LIST_FAILURE: 'GET_COUNTRIES_LIST_FAILURE',

  GET_CITIES_LIST: 'GET_CITIES_LIST',
  GET_CITIES_LIST_SUCCESS: 'GET_CITIES_LIST_SUCCESS',
  GET_CITIES_LIST_FAILURE: 'GET_CITIES_LIST_FAILURE',

  CLEARE_AUTOCOMPLETE: 'CLEARE_AUTOCOMPLETE',
  SET_APP_LOADED_PARAM: 'SET_APP_LOADED_PARAM',
  GET_HOME_REQUESTS: 'GET_HOME_REQUESTS',
  TOOGLE_DIALOG_MODAL: 'TOOGLE_DIALOG_MODAL',
};

export const TOURNAMENT = {
  CLEARE_OLD_DATA: 'CLEARE_OLD_DATA',
  CLEARE_ANSWER: 'CLEARE_ANSWER',

  GET_TOURNAMENTS_LIST: 'GET_TOURNAMENTS_LIST',
  GET_TOURNAMENTS_LIST_SUCCESS: 'GET_TOURNAMENTS_LIST_SUCCESS',
  GET_TOURNAMENTS_LIST_FAILURE: 'GET_TOURNAMENTS_LIST_FAILURE',

  JOIN_TO_TOURNAMENT: 'JOIN_TO_TOURNAMENT',
  JOIN_TO_TOURNAMENT_SUCCESS: 'JOIN_TO_TOURNAMENT_SUCCESS',
  JOIN_TO_TOURNAMENT_FAILURE: 'JOIN_TO_TOURNAMENT_FAILURE',

  GET_TOURNAMENT_QUESTION: 'GET_TOURNAMENT_QUESTION',
  GET_TOURNAMENT_QUESTION_SUCCESS: 'GET_TOURNAMENT_QUESTION_SUCCESS',
  GET_TOURNAMENT_QUESTION_FAILURE: 'GET_TOURNAMENT_QUESTION_FAILURE',

  LEAVE_TOURNAMENT: 'LEAVE_TOURNAMENT',
  LEAVE_TOURNAMENT_SUCCESS: 'LEAVE_TOURNAMENT_SUCCESS',
  LEAVE_TOURNAMENT_FAILURE: 'LEAVE_TOURNAMENT_FAILURE',

  SEND_ANSWER: 'SEND_ANSWER',
  SEND_ANSWER_SUCCESS: 'SEND_ANSWER_SUCCESS',
  SEND_ANSWER_FAILURE: 'SEND_ANSWER_FAILURE',

  GET_TOURNAMENT_PARTICIPANTS_LIST: 'GET_TOURNAMENT_PARTICIPANTS_LIST',
  GET_TOURNAMENT_PARTICIPANTS_LIST_SUCCESS:
    'GET_TOURNAMENT_PARTICIPANTS_LIST_SUCCESS',
  GET_TOURNAMENT_PARTICIPANTS_LIST_FAILURE:
    'GET_TOURNAMENT_PARTICIPANTS_LIST_FAILURE',

  GET_CURRENT_TOOLTIP: 'GET_CURRENT_TOOLTIP',
  GET_CURRENT_TOOLTIP_SUCCESS: 'GET_CURRENT_TOOLTIP_SUCCESS',
  GET_CURRENT_TOOLTIP_FAILURE: 'GET_CURRENT_TOOLTIP_FAILURE',
};

export const QUIZZES = {
  SET_ANSWERS_TO_STORE_QUIZZES: 'SET_ANSWERS_TO_STORE_QUIZZES',
  CHANGE_CURRENT_QUESTION_DATA_QUIZZES: 'CHANGE_CURRENT_QUESTION_DATA_QUIZZES',
  CLEARE_ANSWERS_QUIZZES: 'CLEARE_ANSWERS_QUIZZES',

  GET_QUIZZES_LIST: 'GET_QUIZZES_LIST',
  GET_QUIZZES_LIST_SUCCESS: 'GET_QUIZZES_LIST_SUCCESS',
  GET_QUIZZES_LIST_FAILURE: 'GET_QUIZZES_LIST_FAILURE',

  GET_QUESTIONS_LIST_QUIZZES: 'GET_QUESTIONS_LIST_QUIZZES',
  GET_QUESTIONS_LIST_QUIZZES_SUCCESS: 'GET_QUESTIONS_LIST_QUIZZES_SUCCESS',
  GET_QUESTIONS_LIST_QUIZZES_FAILURE: 'GET_QUESTIONS_LIST_QUIZZES_FAILURE',

  SEND_RESULT_QUIZ: 'SEND_RESULT_QUIZ',
  SEND_RESULT_QUIZ_SUCCESS: 'SEND_RESULT_QUIZ_SUCCESS',
  SEND_RESULT_QUIZ_FAILURE: 'SEND_RESULT_QUIZ_FAILURE',

  GET_DONATES_LIST: 'GET_DONATES_LIST',
  GET_DONATES_LIST_SUCCESS: 'GET_DONATES_LIST_SUCCESS',
  GET_DONATES_LIST_FAILURE: 'GET_DONATES_LIST_FAILURE',
};

export const NOTICATIONS = {
  SHOW_NOTIFICATION: 'SHOW_NOTIFICATION',
  HIDE_NOTIFICATION: 'HIDE_NOTIFICATION',

  GET_NOTIFICATION_LIST: 'GET_NOTIFICATION_LIST',
  GET_NOTIFICATION_LIST_SUCCESS: 'GET_NOTIFICATION_LIST_SUCCESS',
  GET_NOTIFICATION_LIST_FAILURE: 'GET_NOTIFICATION_LIST_FAILURE',
};

export const CHAT = {
  GET_NEW_MESSAGE: 'GET_NEW_MESSAGE',
  REMOVE_CURRENT_CHAT_STORE: 'REMOVE_CURRENT_CHAT_STORE',

  GET_CHATS_LIST: 'GET_CHATS_LIST',
  GET_CHATS_LIST_SUCCESS: 'GET_CHATS_LIST_SUCCESS',
  GET_CHATS_LIST_FAILURE: 'GET_CHATS_LIST_FAILURE',

  DELETE_CHAT: 'DELETE_CHAT',
  DELETE_CHAT_SUCCESS: 'DELETE_CHAT_SUCCESS',
  DELETE_CHAT_FAILURE: 'DELETE_CHAT_FAILURE',

  GET_HISTORY_CHAT: 'GET_HISTORY_CHAT',
  GET_HISTORY_CHAT_SUCCESS: 'GET_HISTORY_CHAT_SUCCESS',
  GET_HISTORY_CHAT_FAILURE: 'GET_HISTORY_CHAT_FAILURE',

  SEND_MESSAGE: 'SEND_MESSAGE',
  SEND_MESSAGE_SUCCESS: 'SEND_MESSAGE_SUCCESS',
  SEND_MESSAGE_FAILURE: 'SEND_MESSAGE_FAILURE',

  MAKE_CHAT_READ: 'MAKE_CHAT_READ',
  MAKE_CHAT_READ_SUCCESS: 'MAKE_CHAT_READ_SUCCESS',
  MAKE_CHAT_READ_FAILURE: 'MAKE_CHAT_READ_FAILURE',
};
